### File

`packages/ecl/components/ecl-button/ecl-button-label.directive.ts`

### Description

Directive for the icon container inside the ECL Button. Automatically applies the `ecl-button__icon-container` CSS class.

### Metadata

Selector | `[eclButtonIconContainer]`

### Index

###### Properties
hasClass
###### HostBindings
class.ecl-button__icon-container

### HostBindings

class.ecl-button__icon-container
Type : `boolean`
Default value : `true`
Applies the `ecl-button__icon-container` CSS class.

### Properties

hasClass
Default value : `true`
Decorators : `@HostBinding('class.ecl-button__icon-container')`
Applies the `ecl-button__icon-container` CSS class.

# results matching ""

# No results matching ""